steven4554

Post-SP1 updates for Windows 7 (TO BE UPDATED IN 2017!)

624 posts in this topic

Hey I really appreciate the work you've done! Your November list has worked flawlessly but when I integrate your Dec list I get an error during install. I tried from USB I am now burning a DVD to see if it was my USB. Anyone else have the same issue? Again thank you for your hard work!

Did you integrate all the updates from my list?

Cause if you did, there are updates that must not be integrated which do give out a these error messages during Win7 install, these are KB2603229, KB2533552 and KB2506143!

THANK YOU!!! VERY very very awesome work. Greatly appreciated thanks again!! I will add this to my notes so I don't integrate again in the future. I Always integrate! thanks!

I had same problem. I removed those updates and it is fixed. Many thanx

0

Share this post


Link to post
Share on other sites

i'm currently reinstalling, there're some differences between what MS Update offers me & the UL

here're some of what WUD offers but not MS Update (< means 'is superseded by'):

[security updates]

2476490 < 2564958

2503658 < 2544893

2524375 < 2607712/2616676 < 2641690 < 2718704*

2525694 < 2555917 < 2778344

2556532 < 2709715 < 2799494

2719985 < 2757638

[non-security update]

<many>

here're some of what MS Update offers but not WUD:

[security update]

2532531, bluetooth stack

2706045, JScript & VBScript

2797052, cumulative security update for ie8/9

[non-security update]

2718704*, unauthorized certificates

2574819, add support for DTLS

2592687, RDP 8.0 update

2598845, compatibility view list for ie 8

2670838, platform update (D2D, D3D, DirectWrite, WIC, WARP, WAM, XPS, H.264, JPEG)

Edited by bun
0

Share this post


Link to post
Share on other sites

Steven4554

I just downloaded your lists, x86 one works OK, but x64 list is causing an error in Windows Updates Downloader:


System.ArgumentOutOfRangeException: El índice y la longitud deben hacer referencia a una ubicación en la cadena.
Nombre del parámetro: length
en System.String.InternalSubStringWithChecks(Int32 startIndex, Int32 length, Boolean fAlwaysCopy)
en WUD.UpdateListManager.Load(String filename)
en WUD.UpdateListManager.Load(Int32 index)
en WUD.formMain.LoadUpdateList()
en WUD.formMain.comboUpdateLists_SelectedIndexChanged(Object sender, EventArgs e)
en System.Windows.Forms.ComboBox.OnSelectedIndexChanged(EventArgs e)
en System.Windows.Forms.ComboBox.set_SelectedIndex(Int32 value)
en WUD.formMain.formMain_Load(Object sender, EventArgs e)
en System.Windows.Forms.Form.OnLoad(EventArgs e)
en System.Windows.Forms.Form.OnCreateControl()
en System.Windows.Forms.Control.CreateControl(Boolean fIgnoreVisible)
en System.Windows.Forms.Control.CreateControl()
en System.Windows.Forms.Control.WmShowWindow(Message& m)
en System.Windows.Forms.Control.WndProc(Message& m)
en System.Windows.Forms.ScrollableControl.WndProc(Message& m)
en System.Windows.Forms.ContainerControl.WndProc(Message& m)
en System.Windows.Forms.Form.WmShowWindow(Message& m)
en System.Windows.Forms.Form.WndProc(Message& m)
en System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
en System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
en System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

Best regards

0

Share this post


Link to post
Share on other sites

Steven4554

I just downloaded your lists, x86 one works OK, but x64 list is causing an error in Windows Updates Downloader:


System.ArgumentOutOfRangeException: El índice y la longitud deben hacer referencia a una ubicación en la cadena.
Nombre del parámetro: length
en System.String.InternalSubStringWithChecks(Int32 startIndex, Int32 length, Boolean fAlwaysCopy)
en WUD.UpdateListManager.Load(String filename)
en WUD.UpdateListManager.Load(Int32 index)
en WUD.formMain.LoadUpdateList()
en WUD.formMain.comboUpdateLists_SelectedIndexChanged(Object sender, EventArgs e)
en System.Windows.Forms.ComboBox.OnSelectedIndexChanged(EventArgs e)
en System.Windows.Forms.ComboBox.set_SelectedIndex(Int32 value)
en WUD.formMain.formMain_Load(Object sender, EventArgs e)
en System.Windows.Forms.Form.OnLoad(EventArgs e)
en System.Windows.Forms.Form.OnCreateControl()
en System.Windows.Forms.Control.CreateControl(Boolean fIgnoreVisible)
en System.Windows.Forms.Control.CreateControl()
en System.Windows.Forms.Control.WmShowWindow(Message& m)
en System.Windows.Forms.Control.WndProc(Message& m)
en System.Windows.Forms.ScrollableControl.WndProc(Message& m)
en System.Windows.Forms.ContainerControl.WndProc(Message& m)
en System.Windows.Forms.Form.WmShowWindow(Message& m)
en System.Windows.Forms.Form.WndProc(Message& m)
en System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
en System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
en System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

Best regards

Sounds like a .net problem i had that 2 days ago, couldn't download anything, just restart your computer and it may fix the problem, otherwise you may need to contact JCarle as he is the one who made the program.

0

Share this post


Link to post
Share on other sites

i'm currently reinstalling, there're some differences between what MS Update offers me & the UL

here're some of what WUD offers but not MS Update (< means 'is superseded by'):

[security updates]

2476490 < 2564958

2503658 < 2544893

2524375 < 2607712/2616676 < 2641690 < 2718704*

2525694 < 2555917 < 2778344

2556532 < 2709715 < 2799494

2719985 < 2757638

[non-security update]

<many>

here're some of what MS Update offers but not WUD:

[security update]

2532531, bluetooth stack

2706045, JScript & VBScript

2797052, cumulative security update for ie8/9

[non-security update]

2718704*, unauthorized certificates

2574819, add support for DTLS

2592687, RDP 8.0 update

2598845, compatibility view list for ie 8

2670838, platform update (D2D, D3D, DirectWrite, WIC, WARP, WAM, XPS, H.264, JPEG)

I don't include IE8 or 9 updates in my lists anymore, since IE10 has been released!

All the other updates have been ignored as most end users won't need them, cause they are mainly aimed at business users or people with servers. The final version of the platform update is now in the update lists of both 32-bit and 64-bit.

0

Share this post


Link to post
Share on other sites

Steven4554

I just downloaded your lists, x86 one works OK, but x64 list is causing an error in Windows Updates Downloader:


System.ArgumentOutOfRangeException: El índice y la longitud deben hacer referencia a una ubicación en la cadena.
Nombre del parámetro: length
en System.String.InternalSubStringWithChecks(Int32 startIndex, Int32 length, Boolean fAlwaysCopy)
en WUD.UpdateListManager.Load(String filename)
en WUD.UpdateListManager.Load(Int32 index)
en WUD.formMain.LoadUpdateList()
en WUD.formMain.comboUpdateLists_SelectedIndexChanged(Object sender, EventArgs e)
en System.Windows.Forms.ComboBox.OnSelectedIndexChanged(EventArgs e)
en System.Windows.Forms.ComboBox.set_SelectedIndex(Int32 value)
en WUD.formMain.formMain_Load(Object sender, EventArgs e)

Got that too. Looks like the x64 update file has a problem.

Removing this section fixed it

<update id="KB" category="0" publishdate="2013/" article="http://support.microsoft.com/kb/">

<title>Cumulative Security Update for Internet Explorer 10 in Windows 7 SP1 x64 Edition (KB)</title>

<description>Security issues have been identified that could allow an attacker to compromise a computer running Microsoft Internet Explorer and gain control over it.</description>

<filename>IE10-Windows6.1-KB-x64.msu</filename>

<url></url>

</update>

It was also saved in ANSI format and not utf-8

0

Share this post


Link to post
Share on other sites

Steven4554

I just downloaded your lists, x86 one works OK, but x64 list is causing an error in Windows Updates Downloader:


System.ArgumentOutOfRangeException: El índice y la longitud deben hacer referencia a una ubicación en la cadena.
Nombre del parámetro: length
en System.String.InternalSubStringWithChecks(Int32 startIndex, Int32 length, Boolean fAlwaysCopy)
en WUD.UpdateListManager.Load(String filename)
en WUD.UpdateListManager.Load(Int32 index)
en WUD.formMain.LoadUpdateList()
en WUD.formMain.comboUpdateLists_SelectedIndexChanged(Object sender, EventArgs e)
en System.Windows.Forms.ComboBox.OnSelectedIndexChanged(EventArgs e)
en System.Windows.Forms.ComboBox.set_SelectedIndex(Int32 value)
en WUD.formMain.formMain_Load(Object sender, EventArgs e)

Got that too. Looks like the x64 update file has a problem.

Removing this section fixed it

<update id="KB" category="0" publishdate="2013/" article="http://support.microsoft.com/kb/">

<title>Cumulative Security Update for Internet Explorer 10 in Windows 7 SP1 x64 Edition (KB)</title>

<description>Security issues have been identified that could allow an attacker to compromise a computer running Microsoft Internet Explorer and gain control over it.</description>

<filename>IE10-Windows6.1-KB-x64.msu</filename>

<url></url>

</update>

It was also saved in ANSI format and not utf-8

You are correct, i will upload new lists on patch tuesday with them in utf-8 format. As for the section described above, that's in my list, i'm just getting ready for the first updates for IE10 that's all.

0

Share this post


Link to post
Share on other sites

You are correct, i will upload new lists on patch tuesday with them in utf-8 format. As for the section described above, that's in my list, i'm just getting ready for the first updates for IE10 that's all.

After a bit more testing it is publishdate="2013/" that is causing WUD to crash when it reads the file. I assume it needs a valid date.

0

Share this post


Link to post
Share on other sites

Downloaded your latest x86 list and it works flawlessly, thanks a million. A few questions:

You make available .Net Framework 4.5 under 'Optional updates', why not also the 3 important and 1 recommended fixes for it?

NDP-KB2737083 NDP-KB2742613 NDP-KB2789648 NDP-KB2750147

Fix KB2503665 is integratable and asked for by Win7 and yet it's not in your list nor in WUD's list.

Microsoft Security Essentials 4.2.223.1 appears twice in your list: 'MS Security Products' (not downloading) and 'Pre-realease Software' (downloading OK).

Thanks Again, Gideon.

Edited by GideonK
0

Share this post


Link to post
Share on other sites

Downloaded your latest x86 list and it works flawlessly, thanks a million. A few questions:

You make available .Net Framework 4.5 under 'Optional updates', why not also the 3 important and 1 recommended fixes for it?

NDP-KB2737083 NDP-KB2742613 NDP-KB2789648 NDP-KB2750147

Fix KB2503665 is integratable and asked for by Win7 and yet it's not in your list nor in WUD's list.

Microsoft Security Essentials 4.2.223.1 appears twice in your list: 'MS Security Products' (not downloading) and 'Pre-realease Software' (downloading OK).

Thanks Again, Gideon.

1. I include the .net 4.5 installer, but i have no plans to include it's updates!

2. It will be in the next update list, which will be on Patch Tesday.

3. They are both the same, but MS still continues with testing future builds of MSE. Which is why both builds are included in the list.

0

Share this post


Link to post
Share on other sites

I DLed the latest W7 x64 list and noticed the KB2798897 (rvkroots.exe). It was not offered to me by Windows Update. How did you learn about it and how am I expected to learn about it? BTW, there is some chatter about rvkroots.exe changing all the friendly names in the Untrusted Certificates folder to <none> - it did on my system. Thanks and enjoy, John.

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.